Package org.apache.cayenne.dba.mysql

## Class MySQLTreeProcessor

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor
  - - org.apache.cayenne.access.translator.select.TypeAwareSQLTreeProcessor
    - - org.apache.cayenne.dba.mysql.MySQLTreeProcessor

- All Implemented Interfaces:
    `NodeTreeVisitor`, `SQLTreeProcessor`

      public class MySQLTreeProcessor
      extends TypeAwareSQLTreeProcessor

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.select.TypeAwareSQLTreeProcessor

      `byColumnTypeProcessors, byNodeTypeProcessors, byValueTypeProcessors, DEFAULT_TYPE, DEFAULT_TYPE_NAME`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MySQLTreeProcessor()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MySQLTreeProcessor` | `getInstance()` |
    `protected Optional<Node>` | `onFunctionNode​(Node parent, FunctionNode child, int index)` |
    `protected Optional<Node>` | `onLikeNode​(Node parent, LikeNode child, int index)` |
    `protected Optional<Node>` | `onLimitOffsetNode​(Node parent, LimitOffsetNode child, int index)` |

    - ### Methods inherited from class org.apache.cayenne.access.translator.select.TypeAwareSQLTreeProcessor

      `defaultProcess, getColumnAttribute, getColumnProcessor, getObjAttributeFor, getValueAttribute, getValueProcessor, onChildNodeStart, process, registerColumnProcessor, registerProcessor, registerValueProcessor, replaceChild, wrapInFunction`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor

      `onChildNodeEnd, onNodeEnd, onNodeStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MySQLTreeProcessor

          protected MySQLTreeProcessor()

  - ### Method Detail

    - #### getInstance

          public static MySQLTreeProcessor getInstance()

    - #### onLikeNode

          protected Optional<Node> onLikeNode​(Node parent,
                                              LikeNode child,
                                              int index)

    - #### onLimitOffsetNode

          protected Optional<Node> onLimitOffsetNode​(Node parent,
                                                     LimitOffsetNode child,
                                                     int index)

    - #### onFunctionNode

          protected Optional<Node> onFunctionNode​(Node parent,
                                                  FunctionNode child,
                                                  int index)